%define	module	CDDB_get
%define name	perl-%{module}
%define version 2.23
%define release %mkrel 3

Name:		%{name}
Version:	%{version}
Release:	%{release}
Summary:	Read the CDDB entry for an audio CD in your drive	
License:	GPL or Artistic
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%{module}
Source:		http://www.cpan.org/modules/by-module/CDDB_get/%{module}-%{version}.tar.bz2
%if %{mdkversion} < 1010
Buildrequires:	perl-devel
%endif
Buildarch:	noarch

%description
This module/script gets the CDDB info for an audio cd.

%prep
%setup -q -n %{module}-%{version} 

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make

%install
%{__rm} -rf %{buildroot}
%makeinstall_std

%clean 
%{__rm} -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%{_bindir}/cddb.pl
%{perl_vendorlib}/auto/CDDB_get
%{perl_vendorlib}/CDDB_get.pm
%{perl_vendorlib}/cddb.pl
%{_mandir}/*/*





%changelog
* Mon Dec 17 2007 Thierry Vignaud <tvignaud@mandriva.com> 2.23-3mdv2008.1
+ Revision: 131261
- kill re-definition of %%buildroot on Pixel's request


* Sat Oct 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.23-3mdv2007.0
+ Revision: 73346
- import perl-CDDB_get-2.23-3mdv2007.0

* Sat Jun 10 2006 Guillaume Rousse <guillomovitch@mandriva.org> 2.23-3mdv2007.0
- spec cleanup
- %%{1}mdv2007.1

* Sat Jun 04 2005 Oden Eriksson <oeriksson@mandriva.com> 2.23-2mdk
- rebuild

* Tue Jun 01 2004 Per yvind Karlsen <peroyvind@linux-mandrake.com> 2.23-1mdk
- 2.23
- cosmetics

